> [!WARNING]
> Tous les liens externes sont susceptibles d'être en anglais.

![Langflow](./docs/static/img/hero.png)

<p align="center" style="font-size: 12px;">
    Langflow est un générateur d'applications low-code pour les applications RAG et IA multi-agents. Il est basé sur Python et indépendant de tout modèle, API ou base de données.
</p>

<p align="center" style="font-size: 12px;">
    <a href="https://docs.langflow.org" style="text-decoration: underline;">Documentation</a> -
    <a href="https://astra.datastax.com/signup?type=langflow" style="text-decoration: underline;">Service cloud gratuit</a> -
    <a href="https://docs.langflow.org/get-started-installation" style="text-decoration: underline;">Autogéré</a>
</p>

<div align="center">
  <a href="./README.md"><img alt="README en Anglais" src="https://img.shields.io/badge/English-d9d9d9"></a>
  <a href="./README.PT.md"><img alt="README en Portuguais" src="https://img.shields.io/badge/Portuguese-d9d9d9"></a>
  <a href="./README.ES.md"><img alt="README en Espagnol" src="https://img.shields.io/badge/Spanish-d9d9d9"></a>
  <a href="./README.zh_CN.md"><img alt="README en Chinois Simplifié" src="https://img.shields.io/badge/简体中文-d9d9d9"></a>
  <a href="./README.ja.md"><img alt="README en Japonais" src="https://img.shields.io/badge/日本語-d9d9d9"></a>
  <a href="./README.KR.md"><img alt="README en Coréen" src="https://img.shields.io/badge/한국어-d9d9d9"></a>
  <a href="./README.FR.md"><img alt="README en Français" src="https://img.shields.io/badge/Français-d9d9d9"></a>
</div>

## ✨ Caractéristiques principales

1. **Basé sur Python** et indépendant des modèles, API, sources de données ou bases de données.
2. **IDE visuel** pour la création et le test de flux de travail par glisser-déposer.
3. **Playground** pour tester et itérer immédiatement les flux de travail avec un contrôle étape par étape.
4. **Orchestration multi-agent** et gestion et récupération des conversations.
5. **Service cloud gratuit** pour démarrer en quelques minutes sans configuration.
6. **Publier en tant qu'API** ou exporter en tant qu'application Python.
7. **Observabilité** avec l'intégration de LangSmith, LangFuse ou LangWatch.
8. **Sécurité et évolutivité de niveau entreprise** avec le service cloud gratuit DataStax Langflow.
9. **Personnalisez les flux de travail** ou créez des flux entièrement à l'aide de Python.
10. **Intégrations d'écosystèmes** en tant que composants réutilisables pour tout modèle, API ou base de données.

![Intégrations](./docs/static/img/integrations.png)

## 📦 Démarrage

- **Installer avec pip** (Python 3.10 à 3.12):

```shell
pip install langflow
```

- **Installer avec uv** (Python 3.10 à 3.12):

```shell
uv pip install langflow
```

- **Cloud :** DataStax Langflow est un environnement hébergé sans configuration. [Inscrivez-vous pour un compte gratuit.](https://astra.datastax.com/signup?type=langflow)
- **Autogéré :** exécutez Langflow dans votre environnement. [Installez Langflow](https://docs.langflow.org/get-started-installation) pour exécuter un serveur Langflow local, puis utilisez le guide [Démarrage rapide](https://docs.langflow.org/get-started-quickstart) pour créer et exécuter un flux.
- **Hugging Face :** [Clonez l'espace à l'aide de ce lien](https://huggingface.co/spaces/Langflow/Langflow?duplicate=true) pour créer un espace de travail Langflow.

[![Getting Started](https://github.com/user-attachments/assets/f1adfbe7-3c35-43a4-b265-661f3d4f875f)](https://www.youtube.com/watch?v=kinngWhaUKM)

## ⭐ Restez à jour

Ajoute une étoile à Langflow sur GitHub pour être instantanément informé des nouvelles versions.

![Star Langflow](https://github.com/user-attachments/assets/03168b17-a11d-4b2a-b0f7-c1cce69e5a2c)

## 👋 Contribuer

Nous acceptons les contributions des développeurs de tous niveaux. Si vous souhaitez contribuer, veuillez consulter nos [consignes de contribution](./CONTRIBUTING.md) et contribuez à rendre Langflow plus accessible.

---

[![Star History Chart](https://api.star-history.com/svg?repos=langflow-ai/langflow&type=Timeline)](https://star-history.com/#langflow-ai/langflow&Date)

## ❤️ Contributeurs

[![Langflow contributors](https://contrib.rocks/image?repo=langflow-ai/langflow)](https://github.com/langflow-ai/langflow/graphs/contributors)
